Bug 1276787 - impossible to create a striped replicate or a distributed striped replicate due to popup "replica count > 4"
impossible to create a striped replicate or a distributed striped replicate d...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster (Show other bugs)
3.5.4.2
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Sahina Bose
SATHEESARAN
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 18:25 EDT by exploit
Modified: 2016-02-10 13:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 04:05:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description exploit 2015-10-30 18:25:42 EDT
Description of problem:
When creating a striped replicated volume or a distributed striped replicate volume, adding bricks with a replica count of 2 or 3 leads to a popup error : "The field must contain an integer number between 4 and 16". It prevents to create such a volume from the gui. 


Version-Release number of selected component (if applicable):


How reproducible:
the same as descripted above

Steps to Reproduce:
1.Go to volume
2.attempt to create a striped replicated or a distributed striped volume with 2 or 3 replica count
3.

Actual results:
can't create the volume

Expected results:


Additional info: creating the volume with cli works ans is automatically recognized and imported into GUI
Comment 2 Sahina Bose 2015-12-08 06:39:21 EST
Striped volume types are not currently supported from ovirt UI - as these are not supported in gluster as well.

- the striped volume types have been removed from the ovirt UI in 3.6.

From glusterfs 3.7 onwards, you can use the sharding feature - that allows to stripe a file across multiple bricks.
Comment 3 Sahina Bose 2015-12-10 04:05:02 EST
Closing this as WontFix, as stripe volume types are no longer supported.

Note You need to log in before you can comment on or make changes to this bug.